Subject: Re: [PATCH iproute2 1/2] mptcp: monitor: also show iface name

From: Stephen Hemminger <[email-masked]>
Date: Wed, 18 Feb 2026 10:31:55 -0800

On Wed, 11 Feb 2026 13:03:17 +0100
"Matthieu Baerts (NGI0)" <[email-masked]> wrote:

> @@ -530,7 +541,7 @@ static int mptcp_monitor_msg(struct rtnl_ctrl_data *ctrl,
>  	if (tb[MPTCP_ATTR_TIMEOUT])
>  		printf(" timeout=%u", rta_getattr_u32(tb[MPTCP_ATTR_TIMEOUT]));
>  	if (tb[MPTCP_ATTR_IF_IDX])
> -		printf(" ifindex=%d", rta_getattr_s32(tb[MPTCP_ATTR_IF_IDX]));
> +		print_iface(rta_getattr_s32(tb[MPTCP_ATTR_IF_IDX]));
>  	if (tb[MPTCP_ATTR_RESET_REASON])
>  		printf(" reset_reason=%u", rta_getattr_u32(tb[MPTCP_ATTR_RESET_REASON]));
>  	if (tb[MPTCP_ATTR_RESET_FLAGS])

The whole monitor message output format here is divergent from what other
iproute2 commands do. If you look at ip monitor there are no '=' signs
in the output.

Please fix the whole function. Ideally all of iproute commands should
support JSON in monitor mode as well. But that is a bigger effort.